# -*- coding: utf-8; -*-
#
# Copyright (C) 2010
#
# This file is part of Satega. 
#
# aatdark <aatdark@gmail.com>
# Satega is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Satega is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Satega.  If not, see <http://www.gnu.org/licenses/>.
# Autor of this file:
# -> aatdark
#

"""
some notes:
each service implements anh interface.
With this interface the caller can call
 service->isEnabled()
 service->getName()
 service->disable()
 service->enable()
 
the ServiceList just manages the list with all the services.
"""
class Servicelist(object):
    modules = []
    
    def register(moduleref):
        print str(moduleref)
        Servicelist.modules.append(moduleref)
        
    def getList():
        return Servicelist.modules
    
    register = staticmethod(register)
    getList= staticmethod(getList)
