<%inherit file="/skelettmenu.mako"/>\
<%def name="title()">Background tasks</%def>
<%namespace name="user" file="/userhelp.mako"/>
<%namespace name="dh" file="/drivehelp.mako"/>
<%def name="get_color(task)">\
% if task.is_working() == True:
#94a75d
% else:

% endif
</%def>
<%def name="display_date(date)">\
% if date == None:
 -
% else:
${date.year}-${date.month}-${date.day} ${date.hour}:${date.minute}:${date.second}
% endif
</%def>
<h1> ${title()}</h1>

<p>
At this page you can check what mainenance tasks the server is performing right now in the background
</p>
<table>
<thead>
	<th> Name </th>
	<th> Start </th>
	<th> End </th>
	<th> Status </th>
</thead>
<tbody>
% if len(c.tasks) == 0:
</tbody></table>
<p> No Background Tasks currently active </p>
% else:
% for task in c.tasks:
<tr style="background-color:${get_color(task)}">
	<td> ${task.get_name()} </td>
	<td> ${display_date(task.get_start_time())} </td>
	<td> ${display_date(task.get_stop_time())} </td>
	<td> ${task.get_status()} </td>
</tr>
% endfor
% endif
</tbody>
</table>

${h.form(h.url_for(controller='background',action='cleanup'),method='post')}
${h.submit('cleanup','Remove Completed Tasks')}
${h.end_form()}

