<%inherit file="/skelettmenu.mako"/>\
<%def name="title()">Backups</%def>
<%namespace name="user" file="/userhelp.mako"/>
<%namespace name="dh" file="/drivehelp.mako"/>

<h1> ${title()} </h1>

<p> Click the name to download the needed client files</p>

<table>
<thead>
 <th> Name (ID) </th>
 <th colspan=2> Used </th>

 <th> Softlimit </th>
 <th> Hardlimit </th>
 <th> Options </th>
</thead>
<tbody>
% for ac in c.accounts:
<tr>
 <td> ${h.link_to('%s (%s)'%(ac.name,ac.id) ,h.url_for(controller='boxbackup',action='certs',id=ac.id))} </td>
 <td> ${ac.used[0]} </td>

 <td style="width:300px">
			<table style="width:100% ; table-layout:fixed">
			 <tr >	
				<td style="line-height:8pt ; width:${ac.used_percent()}% ; background-color:#94a75d ; overflow:visible ; text-align:center ; padding:3px 3px 3px 3px ; font-size: 1em ;  ">
					${ac.used_html()}
				</td>
				% if ac.used_percent() < 100:
				<td style="padding:3px 3px 3px 3px ; font-size: 1em ; background-color:#e6f9af ; text-align:center">			
					${round(ac.free_in_gb(),1)} GB
				</td>
				% endif

			 </tr>
			</table>
 </td>

 <td> ${ac.soft_limit[0]} </td>
 <td> ${ac.hard_limit[0]} </td>
 <td> 
 	${h.link_to('change',h.url_for(controller='boxbackup',action='change',id=ac.id))}
	${h.link_to('delete',h.url_for(controller='boxbackup',action='delete',id=ac.id))}			
 </td>
</tr>
% endfor
</tbody>
</table>

${h.link_to('create new backup account' , h.url_for(controller='boxbackup' , action='create'))}

