<%inherit file="/skelettmenu.mako"/>\
<%def name="title()">Service Control</%def>
<h1>Core Modules </h1>

<table>
	<thead>
	   	<th scope="col">Module Name</th>
		<th scope="col">Status</th>
	</thead>
	<tbody>

% for element in c.modules:
% if element.primary_module() == True:
<tr>
	<td>${element.getName()}</td>
	<td>Active</td>
</tr>
% endif
% endfor
	</tbody>
</table>




<h1>None Core Modules</h1>
<table>
	<thead>
       	<th scope="col">Module Name</th>
        <th scope="col">Status</th>
        <th scope="col">Operation</th>
    </thead>
    <tbody>
% for element in c.modules:
% if element.primary_module() == False:
<tr>
	<td>${element.getName()}</td>
	<td>
		% if element.isEnabled() == True:
		Active
		% else:
		Disabled
		% endif
	</td>
	<td>
		% if element.isEnabled() == True:
		<a href="disable/${c.modules.index(element)}">Disable</a>
		% else:
		<a href="enable/${c.modules.index(element)}">Activate</a>
		% endif
	</td>
</tr>
% endif
% endfor

</tbody>
</table>
