<%inherit file="/skelettmenu.mako"/>\
<%def name="title()">Sharelist</%def>
<%namespace name="user" file="/userhelp.mako"/>
<%namespace name="drive" file="/drivehelp.mako"/>

<h1> How to access the share ${c.share_name} </h1>
<p>
This page helps you to access the data from the share on your client
</p>

<h2> Windows </h2>

<ol>
<li><p> Open the Windows Explorer </p></li>
<li><p> Paste ${c.win_share_path} into the adressbar</p></li>
<li><p> Hit enter </p> </li>
</ol>

<h2> Ubuntu </h2>


<ol>
<li><p> Places </p></li>
<li><p> Connect to Server</p></li>
<li><p> Server Typ: Windows Share </p> </li>
<li><p> Server : ${c.server_name}</p> </li>
<li><p> Share : ${c.share_name}</p> </li>
<li><p> Connect</p> </li>
</ol>

% if c.share.nfs_enabled == True:

<h2> Linux Highperformance Networksharing </h2>
<p> is available for this share </p>

Command to enter on the linux client: 
<ol>
<li><p>sudo mkdir /mnt/nfs</p></li>
<li><p>sudo mount.nfs ${c.server_name}:${c.share.path} /mnt/nfs -o soft</p></li>
</ol>
If you get <p>mount.nfs: access denied by server while mounting</p>
You have to fix your DomainName Resolution on the server.
% endif
