<%inherit file="/skelettmenu.mako"/>\


<%def name="title()">
	% if c.update:
	Update ${c.update_share_name}
	% else:
	Create a new share
	% endif
</%def>
<%namespace name="user" file="/userhelp.mako"/>
<%namespace name="drive" file="/drivehelp.mako"/>

% if c.update:
${h.form(h.url_for(controller='share',action='submitchange',id=c.update_share_name),method='post')}
% else:
${h.form(h.url_for(controller='share',action='submitcreate'),method='post')}
% endif
<h1> ${title()}</h1>


<fieldset>
		<legend><span>
		% if c.update:
		Update
		% else:
		Create Share
		% endif
		Create Share
		</span></legend>
		
		<p class="text">
			<label for="name">The name for the share </label>
			${h.text('name')}
		</p>
		
		<p class="text">
			<label for="comment">Comment</label>
			${h.text('comment')}
		</p>
		
		<p class="text">
			<label for="readonly">Readonly</label>
			${h.checkbox('readonly')}
		</p>
		
		<p class="text">
			<label for="guest">Guest</label>
			% if c.update:
			${h.checkbox('guest')}
			% else:
			${h.checkbox('guest',checked=True)}
			% endif
		</p>
		
	</fieldset>


<h2> Select which datastore the share should use</h2>
${drive.partlist()}

% if c.update:
${h.submit('submit','update share')}
% else:
${h.submit('submit','create new share')}
% endif
${h.end_form()}
