<%namespace name="drive" file="/drivehelp.mako"/>
<%def name="sharelist(shares,select=False,checkbox=True)">
<table>
<thead>
% if select:
 <th>  </th>
% endif
	<th> Name </th>
	<th> Comment </th>
	<th> Storename (Size)</th>
	<th> Datastore </th>
	% if not select:
	<th> Options </th>
	% endif
</thead>
<tbody>
% if len(shares) == 0:
</tbody></table>
<p> No Shares created yet. Use the ${h.link_to('create share' , h.url_for(controller='share' , action='create'))} </p>
% endif
% for share in shares:
<tr>
% if select:
<td>
 % if checkbox:
	 ${h.checkbox('selected',share.path)}
 % else:
     ${h.radio('selected',share.path)}
 % endif
</td>
% endif

	<td>
	  ${h.link_to(share.get_name() , h.url_for(controller='share',action='mounthelp',id=share.get_name()))} 
	</td>
	<td>
	  ${share.comment}
	</td>
<!--	<td>
	  ${share.get_path()}
	</td> -->
	<td>
		${share.datastore.getDevName()} (
		${round(share.datastore.getSize(),1)} GB
		)
	</td>
	<td style="width:300px">
			<table style="width:100% ; table-layout:fixed">
			 <tr >
				<td style="line-height:8pt ; width:${share.datastore.getSizeInPercent()}% ; background-color:${drive.getPartColor(share.datastore)} ; overflow:visible ; text-align:center ; padding:3px 3px 3px 3px ; font-size: 1em ;  ">
					${round(share.datastore.getUsed(),1)}&nbsp;GB
				</td>
				% if share.datastore.getSizeInPercent() < 100:
				<td style="padding:3px 3px 3px 3px ; font-size: 1em ; background-color:#e6f9af ; text-align:center">			
					${round(share.datastore.getFree(),1)} GB
				</td>
				% endif

			 </tr>
			</table>
	</td>
	% if not select:
	<td>
		${h.link_to('change',h.url_for(controller='share',action='change',id=share.get_name()))}
		${h.link_to('delete',h.url_for(controller='share',action='delete',id=share.get_name()))}
		% if share.nfs_enabled == True:
			<br />${h.link_to('Linux Share',h.url_for(controller='share',action='mounthelp',id=share.get_name()))}
		% endif	
	</td>
	% endif
</tr>
% endfor
</tbody>
</table>
</%def>
