<%def name="userlist(users,tasks)">
<table>
	<thead>
		<th>Pic</th>
		<th>Firstname</th>
		<th>Surname</th>
		<th>Username</th>
		<th>Options</th>
		% if tasks:
			<th>Tasks</th>
		% endif
	</thead>
	<tbody>
% if len(users) == 0:
</tbody></table> <p> Currently this group does not have any member</p>
% else:
% for user in users:
		<tr>
			<td >
			%if user.hasImg() == True:
				<img class="user_pic" src="${h.url_for('userImg' ,id=user.uid())}"></td>
			% else:
			   <img class="user_pic" src="/start-here.png"></td>
			%endif
			<td >${user.firstname()}</td>
			<td >${user.surname()}</td>
			<td >${user.uid()}</td>
			<td >
			%if user.isAdmin == True:
				Admin
			%endif
			</td>
			% if tasks:
			<td style='width:200px'>
				<div id="button">
					<a class="arrow_right" href='${h.url_for(controller='account',action='change',id=user.uid())}'>change a user</a>
				</div>
				% if user.uid() != 'root':
				<div id="button">
					<a  class="arrow_right" href='${h.url_for(controller='account',action='delete',id=user.uid())}'>delete a user</a>
				</div>
				% endif
				% if user.hasImg() == True:
				<div id="button">
					<a  class="arrow_right" href='${h.url_for(controller='account',action='deleteimg',id=user.uid())}'>delete image</a>
				</div>
				% endif
			</td>
			% endif
		</tr>
% endfor
% endif
	</tbody>
</table>

</%def>
