# -*- coding: utf-8; -*-
#
# Copyright (C) 2010
#
# This file is part of Satega. 
#
# aatdark <aatdark@gmail.com>
# Satega is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Satega is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Satega.  If not, see <http://www.gnu.org/licenses/>.
# Autor of this file:
# -> aatdark
#

import logging

from pylons import request, response, session, tmpl_context as c
from pylons.controllers.util import abort, redirect_to
from repoze.what.predicates import has_permission, in_group
from repoze.what.plugins.pylonshq import ActionProtector

import satega.lib.helpers as h
from satega.lib.base import BaseController, render

log = logging.getLogger(__name__)

class StartController(BaseController):

    @ActionProtector(in_group('sweet'))
    def index(self):
        # Return a rendered template
        #return render('/start.mako')
        # or, return a response
        #identity = environ.get('repoze.who.identity')
        if request.environ.get('repoze.who.identity') == None:
            abort(401)
        #ret =  request.environ
        strret = ''
        for key in request.environ['repoze.who.identity']:
            strret = strret + '<br>' + key + '  ' + str(request.environ['repoze.who.identity'][key])
        return  strret
	#print request.environ.get('REMOTE_USER')
        #return 'Hello World'
    
    
	
