# -*- coding: utf-8; -*-
#
# Copyright (C) 2010
# Svein Hansen <sveinh@gmail.com>
#
# This file is part of Satega (www.satega.org)
#
# Satega is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Satega is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Satega.  If not, see <http://www.gnu.org/licenses/>.
#
from satega.lib.shellProcess import ShellProcess
from satega.lib.shellProcess import *

class Linux(object):

    @staticmethod
    def get_hostname():
        """
        returns the hostname
        of the maschine
        """
        sh = ShellProcess('hostname')
        sh.execute()
        return sh.stdout.strip()
