<%inherit file="/skelettmenu.mako"/>\

<%def name="title()">
% if c.update:
Update backup account ${c.name} (${c.update_id}) 
% else:
Create a new backup account
% endif

</%def>

<%namespace name="user" file="/userhelp.mako"/>
<%namespace name="dh" file="/drivehelp.mako"/>

<h1> ${title()} </h1>

% if c.update:
${h.form(h.url_for(controller='boxbackup',action='submitchange',id=c.update_id),method='post')}
% else:
${h.form(h.url_for(controller='boxbackup',action='submitcreate'),method='post')}
% endif


<table> 
 <tr>
  <td style="width:200px"> Account ID (autoassigned) </td>
  <td> 
  % if c.update:
    ${h.text('id',disabled = True)} 
  % else:
	${h.text('id')} 
  % endif

  
  </td>
 </tr>
 <tr>
  <td> Name of the computer </td>
  <td> ${h.text('name')} </td>
 </tr>
 <tr>
  <td> Softlimit in GB </td>
  <td> ${h.text('soft',class_='number')} </td>
 </tr>
 <tr>
  <td> Hardlimit in GB </td>
  <td> ${h.text('hard',class_='number')} </td>
 </tr>
</table>
% if c.update:
${h.submit('submit','update backup')}
% else:
${h.submit('submit','create backup')}
% endif
${h.end_form()}
