<%def name="getPercent(current)">\
${round((current/c.maxCapacity) * 100 ,2)}\
</%def>

<%def name="getPartColor(part)">\
% if part.isMounted() == True:
#94a75d
% else:
#FF8C00
% endif
</%def>

<%def name="partlist()">
<table border=0 class="small">

<thead>
	<th> &nbsp;</th>
	<th>Name </th>
	<th>Size</th>
	<th>Used/Free</th>
</thead>
<tbody>
% for drive in c.drives:

<!-- never show a line for the drive !-->
% if len(drive.getPartitions()) > 1 and False:
<tr>
 <td> ${drive.getName() or 'Name'}</td>
 <td> ${drive.getDevPath()}</td>
 <td> ${round(drive.getSize(),1)} GB </td>
 <td style="width:300px">  
 	<table style="width:100% ; table-layout:fixed">
		 <tr>
			<td style="overflow:visible ; padding:3px 3px 3px 3px ; font-size: 1em ; width:${getPercent(drive.getSize())}% ; background-color:#0572ed ; text-align:center ; ">
				${round(drive.getSize(),1)}&nbsp;GB
			</td>
			<td style="; background-color:white"></td>
		 </tr>
	</table>
 </td>
</tr>
% endif
	% for part in drive.getPartitions(only_mounted=True):

	<tr>
		<td > ${h.radio('part_choose',part.getDevPath())} </td>
		<td> ${part.getDevName()}  </td>
		<td> ${round(part.getSize(),1)} GB </td>
		<td style="width:300px">
			<table style="width:100% ; table-layout:fixed">
			 <tr >
				
				<td style="line-height:8pt ; width:${part.getSizeInPercent()}% ; background-color:${getPartColor(part)} ; overflow:visible ; text-align:center ; padding:3px 3px 3px 3px ; font-size: 1em ;  ">
					${round(part.getUsed(),1)}&nbsp;GB
				</td>
				% if part.getSizeInPercent() < 100:
				<td style="padding:3px 3px 3px 3px ; font-size: 1em ; background-color:#e6f9af ; text-align:center">			
					${round(part.getFree(),1)} GB
				</td>
				% endif

			 </tr>
			</table>
		</td>
	</tr>
	% endfor
	<tr ><td style="padding:0 0 0 0 ;background-color:#58595b ;height:1px" colspan=6> </td></tr>
% endfor

% for part in c.raid:
	<tr>
		<td > ${h.radio('part_choose',part.getDevPath())} </td>
		<td> ${part.getDevName()}  </td>
		<td> ${round(part.getSize(),1)} GB </td>
		<td style="width:300px">
			<table style="width:100% ;  table-layout:fixed">
			 <tr>
				<td style="line-height:8pt ; width:${part.getSizeInPercent()}% ; background-color:${getPartColor(part)} ; overflow:visible ; text-align:center ; padding:3px 3px 3px 3px ; font-size: 1em ;  ">
					${round(part.getUsed(),1)}&nbsp;GB
				</td>
				% if part.getSizeInPercent() < 100:
				<td style="padding:3px 3px 3px 3px ; font-size: 1em ; background-color:#e6f9af ; text-align:center">			
					${round(part.getFree(),1)} GB
				</td>
				% endif

			 </tr>
			</table>
		</td>
	</tr>
% endfor
</tbody>
</table>

</%def>
