<%inherit file="/skelettmenu.mako"/>\
<%def name="title()">Change the members of ${c.group.getGroupName()} </%def>

<h1> ${title()} </h1>


${h.form(h.url_for(controller='group',action='submitaddmember',id=c.group.getGroupName()),method='post')}
<table>
	<thead>
		<th>Selected</th>
		<th>Pic</th>
		<th>Firstname</th>
		<th>Surname</th>
		<th>Username</th>
		<th>Options</th>
		% if tasks:
			<th>Tasks</th>
		% endif
	</thead>
	<tbody>
% for user in c.users:
		<tr>
			<td>
			 % if user.uid() == 'root' and c.group.getGroupName() == 'admins':
			 	${h.checkbox('selected',checked = True , readonly=True , value=user.dn)}			 
			 % elif user.dn in c.group.members:
			 	${h.checkbox('selected',checked = True ,value=user.dn)}
			 % else:
			 	${h.checkbox('selected' ,value=user.dn)}
			 % endif
			</td>
			<td >
			%if user.hasImg() == True:
				<img class="user_pic" src="${h.url_for('userImg' ,id=user.uid())}"></td>
			%endif
			<td >${user.firstname()}</td>
			<td >${user.surname()}</td>
			<td >${user.uid()}</td>
			<td >
			%if user.isAdmin == True:
				Admin
			%endif
			</td>
			% if tasks:
			<td style='width:200px'>
				<div id="button">
					<a class="arrow_right" href='${h.url_for(controller='account',action='change',id=user.uid())}'>change a user</a>
				</div>
				<div id="button">
					<a  class="arrow_right" href='${h.url_for(controller='account',action='delete',id=user.uid())}'>delete a user</a>
				</div>
			</td>
			% endif
		</tr>
%endfor
	</tbody>
</table>
${h.submit('submit','Save')}
${h.end_form()}
