<%inherit file="/skelettmenu.mako"/>\
<%def name="title()">UPnP Server</%def>
<%namespace name="share" file="/sharehelp.mako"/>

<h1>${title()}</h1>

<p> The UPnP Server allows you to access content from this server on your TV or your Xbox360 or other devices.</p>

% if c.installed == False:
<p> Status: UPnP not installed. Please install UPnP with clicking this button: </p>

${h.form(h.url_for(controller='upnp',action='install'),method='post')}
${h.submit('submit','Install UPnP')}
${h.end_form()}
% else:
${h.form(h.url_for(controller='upnp',action='submit'),method='post')}

<p> Please choose the shares you want to make available thourgh UPnP</p>
${share.sharelist(c.shares,select=True)}

${h.submit('submit','Update UPnp Server')}
${h.end_form()}

% endif
