<%inherit file="/skelettmenu.mako"/>\
<%def name="title()">
% if c.createuser == True:
Create User
% else:
Update User ${c.id}
%endif
</%def>

<h1>${self.title()}</h1>

% if c.createuser == True:
${h.form(h.url_for(controller='account',action='submitcreate'),method='post',multipart=True)}
% else:
${h.form(h.url_for(controller='account',action='submitchange',id=c.id),method='post',multipart=True)}
% endif
<table>
<tr>
	<td>Username</td>
	<td>
	% if c.createuser == True:
		${h.text('uid')}</td>
	% else:
		${h.text('uid',disabled='True')}</td>
	% endif
</tr>
<tr>
	<td>Password</td>
	<td>${h.password('pw')}</td>
</tr>
<tr>
	<td>Password (please repeat)</td>
	<td>${h.password('pw2')}</td>
</tr>
<tr>
	<td>Admin</td>
	% if c.id == 'root':
		<td>${h.checkbox('admin',disabled=True)}</td>		
	% else:
		<td>${h.checkbox('admin')}</td>
	% endif
</tr>
<tr>
	<td>Picuture</td>
	<td> ${h.file('pic')} </td>
</tr>
</table>
	% if c.createuser == True:
	<td>${h.submit('submit','Create User')}</td>
	% else:
	<td>${h.submit('submit','Update User')}</td>
	% endif

${h.end_form()}

