# -*- coding: utf-8; -*-
#
# Copyright (C) 2010
#
# This file is part of Satega (www.satega.org).
#
# aatdark <aatdark@gmail.com>
# Satega is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Satega is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Satega.  If not, see <http://www.gnu.org/licenses/>.
# Autor of this file:
# -> aatdark
#

if __name__ == "__main__":
	print "x"*60
	print "IMPORTANT:: Please run with nosetests --with-pylons development.ini"
	print "x"*60
from satega.model.background import TaskControl
import unittest
from satega.model.background import *
from satega.lib.shellProcess import ShellProcess,shLaunch
class TestBackgroundTasks(unittest.TestCase):
    def testregister(self):
        tc = TaskControl.get_instance()
        t = MoveFilesTask('copy' , ('from','to'))
        # @type tc TaskControl
        t.start()
        tc.register_task(t)
        assert t.get_name() == 'copy'
    def testcase(self):
        try:
            os.mkdir('/tmp/1')
            os.mkdir('/tmp/2')
            shLaunch('dd if=/dev/zero of=/tmp/1/big bs=1M count=10')
            os.remove('/tmp/2/big')
        except:
            pass
        
        tc = TaskControl.get_instance()

        t = MoveFilesTask('copya' , ('/tmp/1','/tmp/2'))
        # @type tc TaskControl
        t.start()
        tc.register_task(t)
        assert t.get_name() == 'copya'
        assert t in tc.get_tasks()
        tc2 = TaskControl.get_instance()
        assert t in tc2.get_tasks()
