#!/bin/bash
echo Creating smbldap-config
#sudo perl /usr/share/doc/smbldap-tools/configure.pl
# we don't need this command because we have the resulting config files

sid=$(net getlocalsid | awk '{print $NF}')
sed -i s/SATEGASID/$sid/g smbldap.conf.satega
cp smbldap.conf.satega /etc/smbldap-tools/smbldap.conf
cp smbldap_bind.conf.satega /etc/smbldap-tools/smbldap_bind.conf

chmod 0644 /etc/smbldap-tools/smbldap.conf
chmod 0600 /etc/smbldap-tools/smbldap_bind.conf

echo creating the samba schema
smbldap-populate
echo setting the samba password
smbpasswd -w satega

echo Backing up old samba config
mv /etc/samba/smb.conf /etc/samba/smb.conf.$timestamp
echo Installing new one
cp smb.conf.satega /etc/samba/smb.conf

